{
  "codeName" : "GuideBorrowForm",
  "controlType" : "FORM",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/GuideBorrowForm.json",
  "formFuncMode" : "WIZARDFORM",
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "getGoBackPSControlAction" : {
    "modelref" : true,
    "id" : "goback"
  },
  "hookEventNames" : [ "SAVE", "LOAD" ],
  "logicName" : "向导表单-借阅图书",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SAVE",
    "logicTag" : "wizardpanel_form_SecondForm",
    "logicType" : "CUSTOM",
    "name" : "wizardpanel_formsave"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "wizardpanel_form_SecondForm",
    "logicType" : "CUSTOM",
    "name" : "wizardpanel_formload"
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "stepstatus",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STEPSTATUS",
      "codeName" : "Stepstatus"
    }
  }, {
    "id" : "ibizbookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "id" : "borrower",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BORROWER",
      "codeName" : "Borrower"
    }
  }, {
    "id" : "borrowway",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BORROWWAY",
      "codeName" : "Borrowway"
    }
  }, {
    "id" : "lendouttime",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "LENDOUTTIME",
      "codeName" : "Lendouttime"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEBORROWFORM.FORMPAGE.FORMPAGE1"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEBORROWFORM.GROUPPANEL.GROUPPANEL1"
      },
      "caption" : "借阅基本信息",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.STEPSTATUS"
        },
        "caption" : "步骤",
        "codeName" : "stepstatus",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "stepstatus",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "STEPSTATUS",
          "codeName" : "Stepstatus"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "stepstatus"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZBOOKID"
        },
        "caption" : "图书标识",
        "codeName" : "ibizbookid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizbookid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizbookid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BORROWER"
        },
        "caption" : "借阅人",
        "codeName" : "borrower",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "borrower",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BORROWER",
          "codeName" : "Borrower"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "borrower"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BORROWWAY"
        },
        "caption" : "借阅方式",
        "codeName" : "borrowway",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "borrowway",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BORROWWAY",
          "codeName" : "Borrowway"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "borrowway",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList25.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.LENDOUTTIME"
        },
        "caption" : "借出日期",
        "codeName" : "lendouttime",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 230.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "lendouttime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "LENDOUTTIME",
          "codeName" : "Lendouttime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "lendouttime"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSDEWizardForm" : {
    "formTag" : "SecondForm",
    "name" : "步骤二",
    "getPSDEFormName" : "向导表单-借阅图书",
    "getPSDEWizardStep" : {
      "modelref" : true,
      "id" : "借阅图书"
    },
    "stepActions" : [ "PREV", "NEXT" ],
    "firstForm" : false
  },
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "fae5beab76b22f34175c80025c429239",
  "modeltype" : "PSDEFORM_EDITFORM"
}